<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');


function xExportar($varVen, $varRut, $varIni, $varFin) {
	$obj = new clsPreventa_Reporte($var[0],$var[1],$var[2],$var[3],$var[4]);
	
	$varVen = ($varVen<>"")?"\"(".$varVen.")\"":"NULL";
	$varRut = ($varRut<>"")?"\"(".str_replace("\\","",$varRut).")\"":"NULL";
	$varIni = (isset($varIni) && $varIni<>'')? "'".FechaMySql($varIni)."'":"NULL";
	$varFin = (isset($varFin) && $varFin<>'')? "'".FechaMySql($varFin)."'":"NULL";
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$sql = "call spQuery_Preventa_Reporte($varVen, $varRut, $varIni, $varFin, $varFie, $varOrd);";
	
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $obj->varTitulo;	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varCadVen, $varCadRut, $varIni, $varFin, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsPreventa_Reporte($var[0],$var[1],$var[2],$var[3],$var[4]);		
	$varTabla = $obj->GridDatos($varCadVen, $varCadRut, $varIni, $varFin, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (varCadVen=="" && varCadRut=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			return (false); 
			}
		else {
			xajax_xBuscar(varCadVen, varCadRut, varIni, varFin, varField, varOrder);		
			}
		}

	function xExportarJS() {
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (varCadVen=="" && varCadRut=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			return (false); 
			}
		else {
			xajax_xExportar(varCadVen, varCadRut, varIni, varFin);
			}		
		}
	
	function xImprimirJS() {
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (varCadVen=="" && varCadRut=="" && varIni=="" && varFin=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			return (false); 
			}
		else {
			var Ruta = 'print/print_preventa_reporte.php?vcod='+varCadVen+'&rcod='+varCadRut+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_preventa_reporte", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=500");
			}		
		}
</script>
<?php	
function MyTable($obj, $Titulo, $Opcion, $Valor) {	
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "<div id=\"divDatos\">";
		//echo $obj->GridDatos();		
		echo "</div>";
		echo "</div>";
		echo "<div id=\"divFormReg\">";
		echo "</div>";
		}
	} 
?>